Debian Bug report logs - #455661
FTBFS with GCC 4.3: missing #includes

version graph

Package: blitz++; Maintainer for blitz++ is Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>;

Reported by: Martin Michlmayr <tbm@cyrius.com>

Date: Tue, 11 Dec 2007 03:54:06 UTC

Severity: important

Tags: patch

Found in version 1:0.9-6

Fixed in version blitz++/1:0.9-7

Done: Andreas Tille <tille@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Konstantinos Margaritis <markos@debian.org>:
Bug#455661; Package blitz++. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
New Bug report received and forwarded. Copy sent to Konstantinos Margaritis <markos@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: submit@bugs.debian.org
Subject: FTBFS with GCC 4.3: missing #includes
Date: Mon, 10 Dec 2007 20:53:03 -0700
Package: blitz++
Version: 1:0.9-6
Usertags: ftbfs-gcc-4.3

Your package fails to build with GCC 4.3.  Version 4.3 has not been
released yet but I'm building with a snapshot in order to find errors
and give people an advance warning.  In GCC 4.3, the C++ header
dependencies have been cleaned up.  The advantage of this is that
programs will compile faster.  The downside is that you actually
need to directly #include everything you use (but you really should
do this anyway, otherwise your program won't work with any compiler
other than GCC).  There's some more information about this at
http://www.cyrius.com/journal/2007/05/10#gcc-4.3-include

You can reproduce this problem with gcc-snapshot from unstable.  Note
that Red Hat, Novell and Ubuntu have done some work getting packages
to build with GCC 4.3 so there might be patches floating around
somewhere.  I suggest you talk to your upstream.

> Automatic build of blitz++_1:0.9-6 on em64t by sbuild/amd64 0.53
...
> In file included from ../blitz/array/funcs.h:29,
>                  from ../blitz/array/newet.h:29,
>                  from ../blitz/array/et.h:27,
>                  from ../blitz/array-impl.h:2515,
>                  from ../blitz/array.h:32,
>                  from ../src/globals.cpp:13:
> ../blitz/funcs.h: In static member function 'static int blitz::Fn_abs<int>::apply(int)':
> ../blitz/funcs.h:509: error: call of overloaded 'abs(int&)' is ambiguous
> /usr/lib/gcc-snapshot/lib/gcc/x86_64-linux-gnu/4.3.0/../../../../include/c++/4.3.0/cmath:99: note: candidates are: double std::abs(double)
> /usr/lib/gcc-snapshot/lib/gcc/x86_64-linux-gnu/4.3.0/../../../../include/c++/4.3.0/cmath:103: note:                 float std::abs(float)
> /usr/lib/gcc-snapshot/lib/gcc/x86_64-linux-gnu/4.3.0/../../../../include/c++/4.3.0/cmath:107: note:                 long double std::abs(long double)
> ../blitz/funcs.h: In static member function 'static long int blitz::Fn_abs<long int>::apply(long int)':
> ../blitz/funcs.h:530: error: 'labs' is not a member of 'std'
> make[2]: *** [globals.lo] Error 1
> make[2]: Leaving directory `/build/tbm/blitz++-0.9/lib'
> make[1]: *** [blitz-library] Error 1

-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Konstantinos Margaritis <markos@debian.org>:
Bug#455661; Package blitz++. Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.ath.cx>:
Extra info received and forwarded to list. Copy sent to Konstantinos Margaritis <markos@debian.org>. Full text and rfc822 format available.

Message #10 received at 455661@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>
To: 455661@bugs.debian.org, control@bugs.debian.org
Subject: Patch for blitz++ FTBFS
Date: Tue, 11 Dec 2007 23:45:05 +0000
[Message part 1 (text/plain, inline)]
tags 455661 + patch
kthxbye

Attached is a patch to fix the FTBFS.

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 713 440 7475 | http://crustytoothpaste.ath.cx/~bmc | My opinion only
a typesetting engine: http://crustytoothpaste.ath.cx/~bmc/code/thwack
OpenPGP: RSA v4 4096b 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[blitz++.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: patch Request was from "brian m. carlson" <sandals@crustytoothpaste.ath.cx> to control@bugs.debian.org. (Tue, 11 Dec 2007 23:48:02 GMT) Full text and rfc822 format available.

Severity set to `important' from `normal' Request was from Matthias Klose <doko@cs.tu-berlin.de> to control@bugs.debian.org. (Thu, 24 Jan 2008 00:39:16 GMT) Full text and rfc822 format available.

Reply sent to Andreas Tille <tille@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Martin Michlmayr <tbm@cyrius.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #19 received at 455661-close@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: 455661-close@bugs.debian.org
Subject: Bug#455661: fixed in blitz++ 1:0.9-7
Date: Mon, 18 Feb 2008 06:47:02 +0000
Source: blitz++
Source-Version: 1:0.9-7

We believe that the bug you reported is fixed in the latest version of
blitz++, which is due to be installed in the Debian FTP archive:

blitz++_0.9-7.diff.gz
  to pool/main/b/blitz++/blitz++_0.9-7.diff.gz
blitz++_0.9-7.dsc
  to pool/main/b/blitz++/blitz++_0.9-7.dsc
libblitz-doc_0.9-7_all.deb
  to pool/main/b/blitz++/libblitz-doc_0.9-7_all.deb
libblitz0-dev_0.9-7_i386.deb
  to pool/main/b/blitz++/libblitz0-dev_0.9-7_i386.deb
libblitz0ldbl_0.9-7_i386.deb
  to pool/main/b/blitz++/libblitz0ldbl_0.9-7_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 455661@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andreas Tille <tille@debian.org> (supplier of updated blitz++ package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 17 Feb 2008 21:31:47 +0100
Source: blitz++
Binary: libblitz0ldbl libblitz0-dev libblitz-doc
Architecture: source all i386
Version: 1:0.9-7
Distribution: unstable
Urgency: low
Maintainer: Konstantinos Margaritis <markos@debian.org>
Changed-By: Andreas Tille <tille@debian.org>
Description: 
 libblitz-doc - C++ template class library for scientific computing
 libblitz0-dev - C++ template class library for scientific computing
 libblitz0ldbl - C++ template class library for scientific computing
Closes: 455661 463935
Changes: 
 blitz++ (1:0.9-7) unstable; urgency=low
 .
   * Added patch to fix FTBFS with GCC 4.3: missing #includes
     (Thanks to "brian m. carlson" <sandals@crustytoothpaste.ath.cx>)
     Closes: #455661
   * Added quilt to Build-Depends
   * Standards-Version: 3.7.3 (No changes needed)
   * Homepage tag instead of putting it into long description
   * debian/rules: F77=gfortran; Adjusting Build-Depends to
     accomplish g77 to gfortran transition (Thanks to
     Kumar Appaiah <akumar@ee.iitm.ac.in>)
     Closes: #463935
   * libblitz0-dev to section libdevel
   * debian/libblitz-doc.doc-base removed useless whitespace
   * debian/rules: Removed bashism
Files: 
 6e84c4b47af77c6a29b460e1f372ccd1 906 devel extra blitz++_0.9-7.dsc
 e319c2edfd3c78f062536ce5c82ebd6a 18585 devel extra blitz++_0.9-7.diff.gz
 81d94582fdb36e5025a36b29564a7841 3184602 doc extra libblitz-doc_0.9-7_all.deb
 d9c5ec2b552f267f4886ab669b9505a9 112182 libs extra libblitz0ldbl_0.9-7_i386.deb
 cf3e32485e00432f7e8bd8b34a09692a 306772 libdevel extra libblitz0-dev_0.9-7_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHuShtYDBbMcCf01oRAq+6AJ9+cje7MD1mv0E/YxmxSq+ulbJFIgCgpBPV
5GZT7h33hhcv5gFnpUlvHd8=
=ibBj
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 11 Apr 2008 07:36:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 15:53:36 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.